Bug 12291 - Replace the acronym HTML tag with abbr
Summary: Replace the acronym HTML tag with abbr
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-20 10:37 UTC by Fridolin SOMERS
Modified: 2015-12-03 22:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12291 - remove acronym for CAS (bootstrap) (2.89 KB, patch)
2014-05-20 10:42 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 12291 - remove acronym for CAS (prog) (1.10 KB, patch)
2014-05-20 10:42 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 12291: Replace acronym with tag at the OPAC (2.89 KB, patch)
2015-02-20 10:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12291: [SIGNED-OFF] Replace acronym with tag at the OPAC (3.21 KB, patch)
2015-03-05 11:37 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 12291 - Replace the acronym HTML tag with abbr - FOLLOWUP (1.23 KB, patch)
2015-03-05 12:30 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 12291 - Replace the acronym HTML tag with abbr - FOLLOWUP (1.29 KB, patch)
2015-03-05 12:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 12291: [SIGNED-OFF] Replace acronym with tag at the OPAC (3.28 KB, patch)
2015-03-05 13:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 12291 - Replace the acronym HTML tag with abbr - FOLLOWUP (1.36 KB, patch)
2015-03-05 13:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2014-05-20 10:37:29 UTC
The HTML tag acronym is obsolete for HTML5 and also complicates translation.

In sources : 
  <p>If you have a <acronym title="Central Authentication Service">CAS</acronym> account,
It generates : 
  msgid "If you have a "
  msgid "Central Authentication Service"
  msgid "account, %s please "
This is difficult to translate correctly because strings are splitted.
For example in French, the translation is actually :
  msgid "Si vous avez un "
  msgid "Central Authentication Service (Service d'Identification Centralisé)"
  msgid "compte, %s s'il vous plait "
It generates :
  <p>Si vous avez un <acronym title="Central Authentication Service (Service d'Identification Centralisé)">CAS</acronym> compte, %s s'il vous plait.
It should be :
  <p>Si vous avez un compte <acronym title="Central Authentication Service (Service d'Identification Centralisé)">CAS</acronym>, %s s'il vous plait.
Comment 1 Fridolin SOMERS 2014-05-20 10:42:32 UTC Comment hidden (obsolete)
Comment 2 Fridolin SOMERS 2014-05-20 10:42:46 UTC Comment hidden (obsolete)
Comment 3 pierre.lorgue 2014-06-03 08:50:44 UTC
The patch doesn't work completely

we correctly apply bootstrap theme and cas authentication
goto the opac login page
The acronym is still there; 
The h4 title is correctly modified but the display is not effective, the acronym is still there


<!--CONTENT-->
      <!-- login prompt time-->
    <h3> … </h3>
    <h4 title="Login via Central Authentication Service">
      Identification par CAS
    </h4>
Comment 4 Fridolin SOMERS 2014-06-03 09:08:10 UTC
(In reply to pierre.lorgue from comment #3)
> The patch doesn't work completely
Thanks for testing.

I see your text is in french. You must test in "en" language, meaning without translation.
Comment 5 Jonathan Druart 2015-02-20 10:36:39 UTC
Comment on attachment 28348 [details] [review]
Bug 12291 - remove acronym for CAS (prog)

Since the prog theme has been deleted, this patch is not needed anymore.
Comment 6 Jonathan Druart 2015-02-20 10:39:59 UTC
Fridolin, this should be replaced with abbr:
http://www.w3.org/wiki/HTML/Elements/acronym
Comment 7 Jonathan Druart 2015-02-20 10:44:50 UTC Comment hidden (obsolete)
Comment 8 Magnus Enger 2015-03-05 11:37:14 UTC Comment hidden (obsolete)
Comment 9 Magnus Enger 2015-03-05 12:30:09 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2015-03-05 12:41:01 UTC Comment hidden (obsolete)
Comment 11 Katrin Fischer 2015-03-05 13:20:27 UTC
Created attachment 36580 [details] [review]
[PASSED QA] Bug 12291: [SIGNED-OFF] Replace acronym with tag at the OPAC

On the OPAC authentification page, the acronym tag is used, but
deprecated.
It should be replaced with abbr:
http://www.w3.org/wiki/HTML/Elements/acronym

Test plan:
Enable the CAS authentification and verify the tags have correctly been
replaced.

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
Befor the patch, "grep -r "<acronym" koha-tmpl/*/*/en/*" shows 4 occurences of
<acronym>, 3 related to CAS. After the patch, the same grep shows 1 remaining
<acronym>, in acqui/parcels.tt. I sign off this patch and will provide a
followup for the last occurrence.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2015-03-05 13:20:45 UTC
Created attachment 36581 [details] [review]
[PASSED QA] Bug 12291 - Replace the acronym HTML tag with abbr - FOLLOWUP

This patch replaces the last occurrence of <acronym> with <abbr>.

To test:
- Apply this patch on top of the first patch and check that
  "grep -r "<acronym" koha-tmpl/*/*/en/*" does not return any hits.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Tomás Cohen Arazi 2015-03-31 14:04:05 UTC
Patches pushed to master.

Thanks Jonathan and Magnus!
Comment 14 Chris Cormack 2015-04-03 03:33:01 UTC
Pushed to 3.18.x will be in 3.18.6